### Hierarchy

- OnReadOpts

## Index

### Properties

- buffer

### Methods

- callback

## Properties

### buffer

buffer: Uint8Array | (() => Uint8Array)

## Methods

### callback

- callback(bytesWritten: number, buf: Uint8Array): boolean

- This function is called for every chunk of incoming data. Two arguments are passed to it: the number of bytes written to buffer and a reference to buffer. Return false from this function to implicitly pause() the socket.

  #### Parameters

  - ##### bytesWritten: number

  - ##### buf: Uint8Array

  #### Returns boolean

Generated using TypeDoc